bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: grep-2.10 testing


From: Jim Meyering
Subject: Re: grep-2.10 testing
Date: Sun, 20 Nov 2011 14:45:16 +0100

Bruno Haible wrote:
> For the record, here are the test results with grep-2.10:
>
>> * MacOS X 10.5
>> * FreeBSD 6.4
>> * OpenBSD 4.9
>>
>> XPASS: word-delim-multibyte
>
> Unchanged in grep 2.10.

Thanks for the testing and report.
At least on OpenBSD 4.9, this solves the problem:

>From 1de1d040273d4eae059ad6cd0feb696f86743b5f Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 20 Nov 2011 14:30:12 +0100
Subject: [PATCH] tests: avoid unwarranted test failure on *BSD-based systems

* tests/word-delim-multibyte (e_acute): Use a more portable
representation of e-acute.  Reported by Bruno Haible.
---
 tests/word-delim-multibyte |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/tests/word-delim-multibyte b/tests/word-delim-multibyte
index 5add9c8..a6411af 100755
--- a/tests/word-delim-multibyte
+++ b/tests/word-delim-multibyte
@@ -5,12 +5,13 @@

 require_en_utf8_locale_

-echo 'é' > in || framework_failure_
+e_acute=$(printf '\303\251')
+echo "$e_acute" > in || framework_failure_
 LC_ALL=en_US.UTF-8
 export LC_ALL

 fail=0
-grep '\<é' in > out 2>err || fail=1
+grep '\<$e_acute' in > out 2>err || fail=1

 compare out in || fail=1
 compare err /dev/null || fail=1
--
1.7.8.rc2.3.g0911



reply via email to

[Prev in Thread] Current Thread [Next in Thread]